Ir para o conteúdo
Documentação do Endless

Append conversation message

POST
/conversations/{conversation_id}/messages

Append conversation message. Scoped to the conversation named by conversation_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

conversation_id*string
Formatuuid

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/conversations/0191e5a2-5f18-7d63-b016-8c4a9e2f7b51/messages" \  -H "Content-Type: application/json" \  -d '{    "role": "system",    "parts": [      null    ]  }'
{  "message": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",    "role": "system",    "parts": "string",    "metadata": "string",    "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",    "created_by_id": "string",    "model": "string",    "mod_message_id": "string",    "created_at": "2019-08-24T14:15:22Z"  },  "organization_id": "string",  "conversation_started": true,  "message_written": true}